/* Фоновый блок для всех страниц */
/* Стили для фонового изображения */
.background img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1;    /* Помещает изображение под все остальные элементы */
}

/* ----------------- */
/* Стили для текста */
/* ----------------- */
.text-container {
    position: relative;         /* Или absolute, если нужно позиционировать относительно страницы/родителя */
    margin-top: 5%;             /* Отступ от верха */
    margin-left: 10%;           /* Отступ слева */
    width: 20%;                 /* Ширина блока, примерное значение, настройте под свои нужды */
    padding: 10px;              /* Внутренние отступы */
    text-align: center;         /* Выравнивание текста по центру */
    /* Другие общие стили для текстового контейнера... */
}

/* ----------------- */
/* Стили для подвала */
/* ----------------- */
.footer {
    background-color: #333;
    color: #fff;
    margin-top: auto;
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    margin-top: auto;
}

.footer-content {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.footer-text {
    font-size: 14px;
}

.footer-content {
    display: flex;
    justify-content: space-between;
    width: 100%;
    font-size: smaller;
}

.footer-text-left {
    margin-left: 2%;
    justify-content:flex-start;
}

.footer-text-right {
    margin-right: 2%;
    justify-content: flex-end;
}